#ifndef ProtoGenWrapper_CheckActivationKeyResult_H
#define ProtoGenWrapper_CheckActivationKeyResult_H

#include <string>

#include "TypeDefs.h"
#include "MySerializable.h"

namespace ProtoGenWrapper
{
	class CheckActivationKeyResult: public MySerializable
	{
	public:
		CheckActivationKeyResult() {};
		void SetValid(bool valid);
		bool GetValid();
		void SetExpiredDate(bool expired);
		bool GetExpiredDate();
		
		void Serialize(std::string* output) const override;
		void Deserialize(const std::string& data) override;

	protected:
		bool _valid = false;
		bool _expiredDate = false;
	};
}

#endif // ProtoGenWrapper_CheckActivationKeyResult_H
